API Reference

Back to Home

API Reference

Explore and integrate Lumina APIs

Getting Started

Base URL: https://lumina.repad.dev

Endpoints

GET/api/v1/news

Fetch latest news

Retrieve latest news articles

Response Structure

{
  "news": [
    {
      "title": "string",
      "link": "string",
      "pubDate": "string",
      "contentSnippet": "string",
      "author": "string",
      "categories": [
        "string"
      ]
    }
  ]
}
Request
curl -X GET 'https://lumina.repad.dev/api/v1/news'
GET/api/v1/ai/models

Fetch AI models

Retrieve list of AI models from external provider

Response Structure

{
  "models": [
    {
      "provider": "string",
      "id": "string",
      "env": [
        "string"
      ],
      "api": "string",
      "doc": "string",
      "npm": "string",
      "models": [
        "unknown"
      ]
    }
  ]
}
Request
curl -X GET 'https://lumina.repad.dev/api/v1/ai/models'
GET/api/v1/quote

Fetch random quote

Retrieve a random motivational quote

Response Structure

{
  "author": "string | null",
  "quote": "string | null"
}
Request
curl -X GET 'https://lumina.repad.dev/api/v1/quote'